| base-4.1.0.0: Basic libraries | Source code | Contents | Index

System.CPUTime

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org

Description
The standard CPUTime library.
Synopsis

getCPUTime :: IO Integer
cpuTimePrecision :: Integer

Documentation

getCPUTime :: IO Integer | Source

Computation `getCPUTime` returns the number of picoseconds CPU time used by the current program. The precision of this result is implementation-dependent.

cpuTimePrecision :: Integer | Source

The `cpuTimePrecision` constant is the smallest measurable difference in CPU time that the implementation can record, and is given as an integral number of picoseconds.
Produced by Haddock version 2.4.2